package components

import (
	"context"

	"github.com/urfave/cli/v2"
)

type Component interface {
	Name() string
	Priority() int
	Initialized() bool
	Init(components *Registry, cli *cli.Context) error
	Stop() error
	Flags(r *Registry) []cli.Flag
	Health(context context.Context) error
}
